<!--
  @description: 招标项目-项目管理-资审结果通知书/资审合格通知书组件
  @author: 肖文龙/haoFx
  @routerPath: /bidding/projectDrive/calibration/confirmQualifiedResultPdfDetail
  @date: 2019-11-26 20:50:32
-->
<template>
  <div>
    <pdf :pdf-url="pdfUrl" />
    <div v-show="isShow" class="view mb16">
      <div class="page-title">
        附件
      </div>
      <downloadFile ref="downloadFile" :data="upLoadData" @file="fileList" />
    </div>
  </div>
</template>
<script>
/* 组件*/
import downloadFile from '@comp/common/updownload/downloadFile' // 获取附件信息 下载组件
import pdf from '@comp/common/pdf/pdf'
/* api*/
import { readImageRoot } from '@api/common/uploadCenter'
import { getFileDetail } from '@/api/common/uploadCenter'
export default {
  name: 'ConfirmQualifiedResultPdfDetail',
  components: {
    downloadFile, // 文件下载
    pdf
  },
  data() {
    return {
      flowStatus: this.$route.query.flowStatus, // true 工作流进入驳回编辑
      pdfUrl: '',
      readImageUrl: readImageRoot, // 预览图片
      noticeType: this.$route.meta.noticeType, // 01 中标知书 00 中标结果通知书
      // 上传附件参数
      upLoadData: {
        bizId: '', // 业务主键Id
        fileType: ' '// 文件类型
      },
      // 获取通知书内容pdf
      noticeContentData: {
        bizId: '', // 业务主键Id
        fileType: ''// 文件类型
      },
      isShow: true // 是否展示附件
    }
  },
  created() {
    if (this.flowStatus) {
      this.upLoadData.bizId = this.$route.query.bizId
      this.noticeContentData.bizId = this.$route.query.bizId
    } else {
      this.upLoadData.bizId = this.$route.query.noticeId
      this.noticeContentData.bizId = this.$route.query.noticeId
    }

    this.initNoticeType()
    // 获取通知书内容pdf
    this.getNoticesContentPdf()
  },
  methods: {
    /* 初始化*/
    initNoticeType() {
      // 01 是合格通知书
      if (this.noticeType === '01') {
        // 01 资审合格通知书查看pdf类型
        this.noticeContentData.fileType = 'winBidZsNoticeContent'
        // 附件类型
        this.upLoadData.fileType = 'winBidZsNoticeAttachment'
      }
      // 00 否 结果通知书
      if (this.noticeType === '00') {
        // 资审结果通知书查看pdf类型
        this.noticeContentData.fileType = 'winBidResultZsNoticeContent'
        // 附件类型
        this.upLoadData.fileType = 'winBidResultZsNoticeAttachment'
      }
    },
    // 获取通知书内容
    getNoticesContentPdf() {
      getFileDetail(this.noticeContentData).then(response => {
        const url = this.readImageUrl + response.data[0].path
        this.pdfUrl = encodeURIComponent(url)
      }).catch(() => {
      })
    },
    // 判断是否有附件 有附件就展示 否则不展示
    fileList(file) {
      if (file && file.length <= 0) {
        this.isShow = false
      }
    }
  }
}
</script>
<style lang="less" scoped>
</style>
